# QCA

&Brad.Hards; &Brad.Hards.mail;
20 November 2006
Qt Cryptographic Architecture
&qcatool;
1

# &qcatool;

A simple tool for using and testing the Qt Cryptographic Architecture (QCA).

    &qcatool;

    --help

    --plugins-d

    --genrsabitspassphrase

    --gendsa5127681024passphrase

    --gendh102420484096

    --encryptpub.pemmessagefile

    --decryptpriv.pemencrytedfilepassphrase

    --signpriv.pemmessagefilepassphrase

    --verifypub.pemmessagefilesigfile

    --derivekeypriv.txtpeerpub.txt

    --makeselfcertpriv.pemcauserpassphrase

    --makereqpriv.pempassphrase

    --showcertcert.pem

    --showreqcertreq.pem

    --validatecert.pemnonroots.pem

    --extractkeybundlecert.p12passphrase

    --list-keystores

    --list-keystorestorename

    --smime signpriv.pemXmessagefilecert.pemnonroots.pempassphrase

    --smime verifymessagefile

    --smime encryptcert.pemmessagefile

    --smime decryptpriv.pemmessagefilecert.pempassphrase

    --pgp clearsignsecretkeymessagefile

    --pgp signdetachsecretkeymessagefile

    --pgp verifydetachmessagefilesignature

    --pgp encryptpublickeymessagefile

    --pgp decryptencryptedfile

    --list-tlsciphers

## Description

&qcatool; was originally developed as part of the test suite for the Qt Cryptographic Architecture. However it has broader application as a user or system administrator tool.

&qcatool; provides a range of functionality, including:

- SMIME signing, verification, encryption and decryption.

- PGP signing (detached and clearsigning), verification, encryption and decryption.

- RSA, DSA and Diffie Hellman key generation

- Public key encryption, decryption, signing and verification

- Extraction of certificates and keys from PKCS#12 bundles

- Listing the availalbe keystores, and the contents of individual stores

&qcatool; relies on external plugins (also known as providers) for most of its functionality. If appropriate plugins are not available, then &qcatool; will not be able to implement some or all of the functionality listed above.

## Author

&Brad.Hards; &Brad.Hards.mail;